# Contributing To WildFly Core

Thanks for considering contributing to WildFly Core. This project provides the core runtime used by the WildFly application server and everyone is more than welcome to contribute to it. There are many ways to contribute, from writing tutorials or blog posts, improving the documentation, submitting bug reports, fixing an existing bug and implementing new features.

We expect all contributors and users to follow our [Code of Conduct](https://github.com/wildfly/wildfly-core/blob/main/CODE_OF_CONDUCT.md) when communicating through project channels. These include, but are not limited to: chat, issues, code.

Take a look at the [contribution guide](https://docs.wildfly.org/27/Hacking_On_WildFly.html) available under the WildFly Documentation to learn how you can start.

# Issues

WildFly Core uses JIRA to manage issues. All issues can be found [here](https://issues.redhat.com/projects/WFCORE/issues).

To create a new issue, comment on an existing issue, or assign an issue to yourself, you'll need to first [create a JIRA account](https://issues.redhat.com/).

## Good First Issues

Check out our issues with the `good-first-issue` label. These are a triaged set of issues that are great for getting started on our project. These can be found [here](https://issues.redhat.com/issues/?filter=12404812).

Once you have selected an issue you'd like to work on, make sure it's not already assigned to someone else. To assign an issue to yourself, simply click on "Start Progress". This will automatically assign the issue to you.